﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

public class InquiryEntity
{
    [Key] public int Id { get; }
    public string Title { get; set; }
    public string Description { get; set; }
    public bool IsUser { get; set; }

    public InquiryEntity()
    {
    }

    public InquiryEntity(int id)
    {
        Id = id;
    }

    public InquiryEntity(string title, string description, bool isUser)
    {
        Id = 0;
        Title = title;
        Description = description;
        IsUser = isUser;
    }

    public InquiryEntity(int id, string title, string description, bool isUser)
    {
        Id = id;
        Title = title;
        Description = description;
        IsUser = isUser;
    }
}